function makeLine(size, char = '#') {
  let line = '';
  for (let i = 0; i < size; i++) {
     line += char;
  }
  return line;
}

function makeSpaceLine(numSpaces,numChars) {
  return makeLine(numSpaces,' ') + makeLine(numChars) + makeLine(numSpaces,' '); 
}

function makeIsoscelesTriangle(height) {
  isoscelesTriangle = '';
  for (let i = 0; i < height; i++) {
    isoscelesTriangle += makeSpaceLine(height - i - 1, 2 * i + 1) + '\n';
  }
  return isoscelesTriangle.trimEnd();
}

function reverse(str) {
  let lettersArray = str.split('');
  let reversedLettersArray = lettersArray.reverse();
  return reversedLettersArray.join('');
}

function makeDiamond(height) {
  return makeIsoscelesTriangle(height) + '\n' + reverse(makeIsoscelesTriangle(height));
}

console.log(makeDiamond(5));
