function makeLine(size, char = '#') {
  let line = '';
  for (let i = 0; i < size; i++) {
     line += char;
  }
  return line;
}

function makeDownwardStairs(height) {
  let downwardStairs = '';
  for (let i = 1; i <= height; i++) {
    downwardStairs += makeLine(i) + '\n';
  }
  return downwardStairs.trim();
}

console.log(makeDownwardStairs(10));

function makeSpaceLine(numSpaces,numChars) {
  return makeLine(numSpaces,' ') + makeLine(numChars,'#') + makeLine(numSpaces,' '); 
}

function makeIsoscelesTriangle(height) {
  isoscelesTriangle = '';
  for (let i = 0; i < height; i++) {
    isoscelesTriangle += makeSpaceLine(height - i - 1, 2 * i + 1) + '\n';
  }
  return isoscelesTriangle.trimEnd();
}

console.log(makeIsoscelesTriangle(10));
