function makeLine(size, char = '#') {
  let line = '';
  for (let i = 0; i < size; i++) {
     line += char;
  }
  return line;
}

function makeSpaceLine(numSpaces,numChars,char = '#') {
  return makeLine(numSpaces,' ') + makeLine(numChars,char) + makeLine(numSpaces,' '); 
}

function makeIsoscelesTriangle(height,char = '#') {
  isoscelesTriangle = '';
  for (let i = 0; i < height; i++) {
    isoscelesTriangle += makeSpaceLine(height - i - 1, 2 * i + 1, char) + '\n';
  }
  return isoscelesTriangle.trimEnd();
}

function reverse(str) {
  let lettersArray = str.split('');
  let reversedLettersArray = lettersArray.reverse();
  return reversedLettersArray.join('');
}

function makeDiamond(height,char = '#') {
  return makeIsoscelesTriangle(height,char) + '\n' + reverse(makeIsoscelesTriangle(height,char));
}

console.log(makeDiamond(5,'@'));
