function getPrimes(n) {
  let sieve = [];
  for (let i = 0; i <= n; i++){
      sieve.push(true);
  }

  for (let i = 2; i <=n; i++) {
      if (sieve[i]) {
          for (let j = i * 2; j <= n; j += i) {
              sieve[j] = false; 
          }
      }
  }

  let primes = [];
  for (let i = 2; i <=n; i++) {
      if (sieve[i]) {
          primes.push(i);
      }
  }
  return primes;

}

console.log(getPrimes(100));

